<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__eatt__connection__response__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_eatt_connection_response_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__eatt__connection__response__t_1a3cc263aad042f1b1614e6a33042e501e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_eatt_connection_response_t::response</definition>
        <argsstring />
        <name>response</name>
        <briefdescription>
<para>Application response to be sent for the connection request. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="829" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="829" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__response__t_1ae5fc20f636b8626f58df8842ed91a16a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_eatt_connection_response_t::our_rx_mtu</definition>
        <argsstring />
        <name>our_rx_mtu</name>
        <briefdescription>
<para>Application MTU to be used for the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="830" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="830" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__response__t_1a8242f7954951cb2067c007bcefd95122" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_eatt_connection_response_t::our_rx_mps</definition>
        <argsstring />
        <name>our_rx_mps</name>
        <briefdescription>
<para>Application MPS to be used for the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="831" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="831" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__response__t_1a59e0cb4a5ac98f4c8bf3c371a76f496a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaccfa49f84e56ea41ab53e943e2e5acc6">wiced_bt_eatt_drbs</ref></type>
        <definition>wiced_bt_eatt_drbs wiced_bt_gatt_eatt_connection_response_t::ppDRBs</definition>
        <argsstring />
        <name>ppDRBs</name>
        <briefdescription>
<para>Data Receive Buffers of our_rx_mtu size to be used for receiving incoming data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="832" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="832" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>structure to be used to respond to received EATT connection request </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="167">
        <label>tDRB</label>
        <link refid="structt_d_r_b" />
      </node>
      <node id="166">
        <label>wiced_bt_gatt_eatt_connection_response_t</label>
        <link refid="structwiced__bt__gatt__eatt__connection__response__t" />
        <childnode refid="167" relation="usage">
          <edgelabel>ppDRBs</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="833" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="827" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="828" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__response__t_1a8242f7954951cb2067c007bcefd95122" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_response_t</scope><name>our_rx_mps</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__response__t_1ae5fc20f636b8626f58df8842ed91a16a" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_response_t</scope><name>our_rx_mtu</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__response__t_1a59e0cb4a5ac98f4c8bf3c371a76f496a" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_response_t</scope><name>ppDRBs</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__response__t_1a3cc263aad042f1b1614e6a33042e501e" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_response_t</scope><name>response</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>